;
; make a little popup menu
;
If CreatePopupMenu(1)
  MenuItem(1, "Aliases...")
  MenuItem(2, "Popups...")
  MenuItem(3, "Remote...")
  MenuBar()
  MenuItem(4, "Addresses...")
  MenuBar()
  MenuItem(5, "Finger...")
  MenuItem(6, "Timer...")
  MenuBar()
  MenuItem(7, "Colors...")
  MenuItem(8, "Font...")
EndIf

;
; Open the main window
;
#WinStyle=#PB_Window_SystemMenu|#PB_Window_MinimizeGadget|#PB_Window_MaximizeGadget|#PB_Window_SizeGadget|#PB_Window_ScreenCentered
hWnd = OpenWindow(0,0,0,800,277,#WinStyle, "Toolbar by Danilo")
;
; Set the background color for the window (SkinWin Library)
;
SetWinBackgroundColor(hWnd,RGB($AA,$AA,$00))

;
; Create 2 Toolbars: 1 on Top, other on bottom
;
hTB1 = CreateTB(0,hWnd,24,24)
hTB2 = CreateTB(1,hWnd,24,24,#TBpro_FLAT|#TBpro_BOTTOM|#TBpro_BORDER)

;
; Add all 32 Icons and Tooltips
; to both TBs
;
d = 100
For a = 0 To 1
  UseTB(a)
   SetTBimage(0,0,#TBpro_NORMAL)
   SetTBimage(0,0,#TBpro_Hot)
   SetTBimage(0,0,#TBpro_Disabled)
   AddTBsysIcons()

   For b = 1 To 32
    c = b + d
    AddTBbutton( c,#TBpro_CUT+b-1,0);2|4)
    If b = 11 Or b = 22
     AddTBbreak()
    EndIf
    num$ = Str(c):If Len(num$)=1:num$ = "0"+num$:EndIf
    SetTBbuttonTooltip(c,"Icon Button "+num$)
   Next b
d + 100
Next a

;
; Create some Gadgets...
;
If CreateGadgetList(WindowID())
   exitbutton = ButtonGadget( 0, 100, TBheight(0),  60, 25, "Quit")
   frame = PanelGadget(2,0,10,TBwidth(0)+60,TBheight(0)-3)
   combo = ComboBoxGadget(3,220,180,100,800)
EndIf

;
; ...and add some entries to the Combobox
;
For a = 1 To 1000
    AddGadgetItem(3,-1,"TEST "+Str(a))
Next a

;
; Set the background for the Panel-Gadget
;
SetWinBackgroundColor(frame,RGB($BB,$BB,$BB))

;
; Add the 2 Gadgets COMBOBOX and EXIT
; to the 2 Toolbars
;
AddTBgadget(combo,TBwidth(),TBheight()/2-12)
 UseTB(0)
AddTBgadget(exitbutton,TBwidth(),TBheight()/2-15)
 UseTB(1)

;
; Now me move the ToolBar 0
; in the PanelGadget
;
  SetTBparent(0,frame)

;
; Resize the MainWindow
; and update the Toolbar 1 (update required after resize!!)
;
ResizeWindow(TBwidth()+110,(TBheight(0)+TBheight(1))+100);+25+8)
UpdateTB(1)

;
; Disable all Buttons
; on Toolbar 1
;
 ;For a = 201 To 232
 ;    DisableTBbutton(a,1)
 ;Next a

  ; Resize-Procedure for Realtime-Resize
  Procedure SizeCallback(WindowID, Message, wParam, *lParam)
  ReturnValue = #PB_ProcessPureBasicEvents 
    Select Message 
      Case #WM_SIZE
           UpdateTB(0)
           UpdateTB(1)
           ReturnValue = 0
    EndSelect
  ProcedureReturn ReturnValue
  EndProcedure
  SetWindowCallback(@SizeCallback())


  Repeat
           Select WaitWindowEvent()
             Case #PB_EventGadget
               If EventGadgetID()=0 : End : EndIf
             Case #PB_EventMenu
               If EventMenuID() > 200
                 UseTB(1)
               Else
                 UseTB(0)
               EndIf
               ; Display popup menu, when TB-button is pressed
               GetTBbuttonRect(EventMenuID(),btn.RECT)
               DisplayPopupMenu(1,hWnd,btn\left,btn\bottom)
             ; pressed CloseButton or ALT+F4 ??
             Case #PB_EventCloseWindow
                  End
           EndSelect
  ForEver 
; ExecutableFormat=Windows
; EnableAsm
; Executable=Z:\TestToolbar\PureTools_I\TOOLBAR Professional\IconTest\ICONTEST.exe
; DisableDebugger
; EOF