;
; Open Window, add a TB
; and set a background image
; for the main-window
;
;#WinStyle = #PB_Window_SystemMenu | #PB_Window_MinimizeGadget | #PB_Window_MaximizeGadget
#WinStyle = #WS_POPUP
hWnd = OpenWindow(0, (GetSystemMetrics_(#SM_CXSCREEN)-512)/2,(GetSystemMetrics_(#SM_CYSCREEN)-384)/2, 512, 384, #WinStyle , "Toolbar by Danilo")
CreateTB(0,hWnd,24,24,0);,#TB_BORDER|#TB_Transparent)
SetWinBackgroundImage(hWnd, LoadImage(0,"MyPicture.bmp"))

;
; Load the Button-images
; and add System Icons
;
x = SetTBimage(LoadImage(1,"PAINT.BMP"),0,#TBpro_NORMAL)
AddTBsysIcons()

;
; Add all Buttons
;
For a = 1 To 16 : AddTBbutton(a,a,#TBpro_CheckBUTTON) : Next a
AddTBbreak()
For a = 0 To 31
    AddTBbutton(a+100,#TBpro_Cut+a,#TBpro_BUTTON)
    If a = 15:AddTBbreak():EndIf
Next a

CheckTBbutton(7,1)


;
; Set Tooltips for the Paint-Buttons
;
  SetTBbuttonTooltip(1,"Free-Form Select")    : SetTBbuttonTooltip(2,"Select")
  SetTBbuttonTooltip(3,"Eraser/Color Eraser") : SetTBbuttonTooltip(4,"Fill with Color")
  SetTBbuttonTooltip(5,"Pick Color")          : SetTBbuttonTooltip(6,"Magnifier")
  SetTBbuttonTooltip(7,"Pencil")              : SetTBbuttonTooltip(8,"Brush")
  SetTBbuttonTooltip(9,"Airbrush")            : SetTBbuttonTooltip(10,"Text")
  SetTBbuttonTooltip(11,"Line")               : SetTBbuttonTooltip(12,"Curve")
  SetTBbuttonTooltip(13,"Rectangle")          : SetTBbuttonTooltip(14,"Polygon")
  SetTBbuttonTooltip(15,"Elipse")             : SetTBbuttonTooltip(16,"Rounded Rectangle")


;
; Add Exit-Button
;
  If CreateGadgetList(WindowID())
    ButtonGadget( 0, TBwidth()/2-30, TBheight(),  60, 25, "Quit")
    ButtonGadget( 1000, TBwidth()/2-30,TBheight()+25,60,25,"Un/Hide")
  EndIf

;
; Resize main window to Toolbar width
;
ResizeWindow(TBwidth(),384)
UpdateTB()

  ;
  ; Main Loop
  ;
  Repeat
         Select WaitWindowEvent()
            ; IF LeftMouseButton pressed... let the Window move
            Case #WM_LBUTTONDOWN
                 SendMessage_(hWnd.l,#WM_NCLBUTTONDOWN, #HTCAPTION,0)
            Case #PB_EventGadget
                 Select EventGadgetID()
                   Case 0    ; Exit
                        End
                   Case 1000 ; Hide/UnHide TB
                        If HideFlag = 0
                           HideTB(0,1): HideFlag = 1
                        Else
                           HideTB(0,0): HideFlag = 0
                        EndIf
                        UpdateTB()
                        ResizeGadget(   0,-1,TBheight()   ,-1,-1)
                        ResizeGadget(1000,-1,TBheight()+25,-1,-1)
                   Default   ; Default = TB button pressed
                        Beep_(1000,30)
                 EndSelect
            ; pressed CloseButton or ALT+F4 ??
            Case #PB_EventCloseWindow
                 End
         EndSelect
  ForEver 
; ExecutableFormat=Windows
; Executable=Z:\TestToolbar\PureTools_I\TOOLBAR Professional\Mixing Image and Icons\MIX.exe
; DisableDebugger
; EOF